Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List agent automations

GET/workspaces/{organizationId}/agent/automations
Path parameters
organizationIdstringrequired
Responses
200

Automations for the workspace

automationsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
namestringrequired
promptstringrequired
agentIdstringrequired
teamIdstring | nullrequired
issueIdstring | nullrequired
triggerKindstringrequired
Allowed:cronevent
triggerValuestringrequired
enablednumberrequired
lastFiredAtstring | nullrequired
createdBystring | nullrequired
createdAtstringrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/agent/automations'
Response
{
  "automations": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "prompt": "string",
      "agentId": "string",
      "teamId": "string",
      "issueId": "string",
      "triggerKind": "cron",
      "triggerValue": "string",
      "enabled": 0,
      "lastFiredAt": "string",
      "createdBy": "string",
      "createdAt": "string"
    }
  ]
}